MSWTextStylesInternal::State Struct Reference

Internal: the state of a MSWTextStylesInternal. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the file version More...
MWAWFont | m_defaultFont
| the default font ( NewYork 12pt) More...
std::map< int, int > | m_nextStyleMap
| a map styleId to next styleId More...
std::vector< MSWStruct::Font > | m_fontList
| the list of fonts More...
std::vector< MSWStruct::Paragraph > | m_paragraphList
| the list of paragraph More...
std::vector< MSWStruct::Section > | m_sectionList
| the list of section More...
std::vector< MSWStruct::Paragraph > | m_textstructParagraphList
| the list of paragraph in textstruct More...
std::map< int, MSWStruct::Font > | m_styleFontMap
| the list of fonts in style More...
std::map< int, MSWStruct::Paragraph > | m_styleParagraphMap
| the list of paragraph in style More...

## Detailed Description

Internal: the state of a MSWTextStylesInternal.

## Constructor & Destructor Documentation

MSWTextStylesInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

MWAWFont MSWTextStylesInternal::State::m_defaultFont

the default font ( NewYork 12pt)

std::vector<MSWStruct::Font> MSWTextStylesInternal::State::m_fontList

the list of fonts

std::map<int,int> MSWTextStylesInternal::State::m_nextStyleMap

a map styleId to next styleId

std::vector<MSWStruct::Paragraph> MSWTextStylesInternal::State::m_paragraphList

the list of paragraph

std::vector<MSWStruct::Section> MSWTextStylesInternal::State::m_sectionList

the list of section

std::map<int, MSWStruct::Font> MSWTextStylesInternal::State::m_styleFontMap

the list of fonts in style

std::map<int, MSWStruct::Paragraph> MSWTextStylesInternal::State::m_styleParagraphMap

the list of paragraph in style

std::vector<MSWStruct::Paragraph> MSWTextStylesInternal::State::m_textstructParagraphList

the list of paragraph in textstruct

int MSWTextStylesInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- MSWTextStyles.cxx